%define name    redland
%define version 0.9.12
%define release 2mdk

%define major	0
%define libname lib%name%major

Summary:   	Redland RDF Application Framework
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	LGPL
Group:     	Development/Other
Source:    	%{name}-%{version}.tar.bz2
URL:       	http://www.redland.opensource.ac.uk/
BuildRoot: 	%_tmppath/%{name}-root
BuildRequires: 	libxml2-devel
Requires:  	raptor
Requires:	%libname

%description
Redland is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.

%package -n %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n %{libname}-devel
Summary: Header files and static libraries from %name
Group: Development/Other
Requires: %{libname} >= %{version}
Provides: lib%{name}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 
Obsoletes: %name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%package perl
Summary: Perl modules for the Redland RDF system
Group: Development/Perl
Requires: redland

%description perl
The redland-perl package contains the parts of Redland that provide
an interface to Perl.

%prep
%setup -q

%build
export PYTHON=python
%configure
#don't -j2, fails on smp
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Fix it so -L.. -llibrdf works from perl, python, ... subdirs
ln -s .libs/librdf.a librdf.a

cd perl
make prefix=$RPM_BUILD_ROOT/usr install-perl

# what is this file?
rm -f $RPM_BUILD_ROOT/%perl_sitearch/*.pod

# workaround for requires perl-base >= 5.800 bug
mkdir -p $RPM_BUILD_ROOT/%perl_vendorarch
mv $RPM_BUILD_ROOT/%perl_sitearch/* $RPM_BUILD_ROOT/%perl_vendorarch

# don't include files from raptor
cd $RPM_BUILD_ROOT
rm -f `find -name '*rapper*'` `find -name '*raptor*'` `find -name '*triples*'`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog
%doc README NEWS LICENSE.txt
%doc *.html
%_bindir/redland-config
%_bindir/redland-db-upgrade
%{_mandir}/man3/redland.3*

%files -n %libname
%defattr(-,root,root)
%_libdir/librdf.so.*

%files -n %libname-devel
%defattr(-, root, root)
%_libdir/librdf.a
%_libdir/librdf.la
%_libdir/librdf.so
%_includedir/redland.h
%_includedir/librdf.h 
%_includedir/rdf_*.h

%files perl
%defattr(-,root,root)
%{perl_vendorarch}/*
%_mandir/man3pm/RDF::Redland*.3pm*

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%changelog
* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.9.12-2mdk
- use perl_vendorarch to avoid a requires bug

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.9.12-1mdk
- initial package
